otpCalc(1)

NAME
otpCalc - An OTP and S/Key calculator for X

SYNOPSIS
otpCalc

DESCRIPTION
otpCalc generates one time passwords for responding to S/Key (RFC1760) and OTP (RFC2289) challenges. It supports MD4, MD5, RIPEMD-160 and SHA1 message digests.

otpCalc determines which message digest to use based on the prefix to the Challenge input:

In the absence of a prefix, the default hash, specified in the Settings menu, is used.

SEE ALSO
keyinit(1), donkey(1)

CONFORMING TO
RFC 2289, RFC 1740

AUTHOR
Anthony D. Urso <anthonyu@killa.net>.

BUGS
SHA1 output differs from RFC2289; however, the output is consistant with other implementations.

COPYRIGHT
Copyright © 2001 Anthony D. Urso.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.